Bug 1008503 - Mandatory group for new repositories - inconsistency
Mandatory group for new repositories - inconsistency
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER5
: 6.0.0
Assigned To: Alexandre Porcelli
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 09:41 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:16:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-09-16 09:41:17 EDT
Description of problem:
Group is only mandatory for new or cloned repositories, if there is some group. If there is no group, it isn't needed.

We should either require the group all the time, or it should never be mandatory.
Comment 1 manstis 2013-09-20 03:50:08 EDT
@Alexandre, IIRC you were changing how the "mandatory" logic worked by adding a flag (instead of checking whether there were any Groups?)
Comment 5 Alexandre Porcelli 2013-10-25 15:14:53 EDT
Issue fixed on Uberfire master and 0.3.x branches:

https://github.com/droolsjbpm/uberfire/commit/f457588f1
https://github.com/droolsjbpm/uberfire/commit/0c7c1fe5b
Comment 6 Tomas David 2013-12-13 10:04:42 EST
Verified on BPMS 6.0.0.ER5.

Note You need to log in before you can comment on or make changes to this bug.